-- Schema: C6MartPeriodico
-- Stored Procedure: PL_MP_S176EvoluzioneLineaProtettaMultiramo






-- [C6MartPeriodico].[PL_MP_S176EvoluzioneLineaProtettaMultiramo] 'f','BTTMRS67A69F839N'
CREATE procedure [C6MartPeriodico].[PL_MP_S176EvoluzioneLineaProtettaMultiramo]
	-- Add the parameters for the stored procedure here
	@Rete char(1), 
	@CodiceFiscale varchar(16)
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;

	SELECT
		
		'FV Polizza Multiramo con protezione' as DescrizioneProdotto,
		COD_CONF as Contratto,
		--DTSOTTOS AS DataSottoscrizione,
		--DTRIFE AS DATARIFERIMENTO,
		--DTTRIM AS DATATRIM,
		convert(datetime, convert(varchar(8), DTRIFE)) AS DATASOTTOSCRIZIONE,
		convert(datetime, convert(varchar(8),DTRIFE)) AS DATARIFERIMENTO,
		convert(datetime, convert(varchar(8),DTTRIM)) AS DATATRIM,

		CTV as CONTROVALORE,
		CTVPROT as CONTROVALOREPROTETTO,
		CTVMON as CONTROVALOREMONITORATO

	
	FROM [C6MartPeriodico].[STORICO_CAPPROT_FVI]
	WHERE RETE = @Rete
		AND CODFIS = @CodiceFiscale

		order by dtrife
	
END







